VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   Caption         =   "Registry Space Profiler"
   ClientHeight    =   5940
   ClientLeft      =   1845
   ClientTop       =   1815
   ClientWidth     =   9765
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5940
   ScaleWidth      =   9765
   Begin VB.CommandButton Command1 
      Caption         =   "Analyze"
      Height          =   375
      Left            =   4200
      TabIndex        =   8
      Top             =   5160
      Width           =   1335
   End
   Begin MSComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   255
      Left            =   0
      TabIndex        =   6
      Top             =   5685
      Width           =   9765
      _ExtentX        =   17224
      _ExtentY        =   450
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin VB.Timer Timer1 
      Interval        =   1
      Left            =   120
      Top             =   960
   End
   Begin MSComctlLib.ListView ListView1 
      Height          =   4335
      Left            =   4920
      TabIndex        =   2
      Top             =   720
      Width           =   4695
      _ExtentX        =   8281
      _ExtentY        =   7646
      View            =   3
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   2
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Text            =   "Sub Key/Value"
         Object.Width           =   4939
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   1
         Text            =   "Size"
         Object.Width           =   3175
      EndProperty
   End
   Begin MSComctlLib.TreeView TreeView1 
      Height          =   4335
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   4695
      _ExtentX        =   8281
      _ExtentY        =   7646
      _Version        =   393217
      LabelEdit       =   1
      Style           =   7
      Appearance      =   1
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Space Usage Results"
      Height          =   255
      Left            =   4920
      TabIndex        =   7
      Top             =   240
      Width           =   4695
   End
   Begin VB.Label Label5 
      Caption         =   "Key Handle:"
      Height          =   255
      Left            =   600
      TabIndex        =   5
      Top             =   5160
      Width           =   1095
   End
   Begin VB.Label Label4 
      Caption         =   "Label4"
      Height          =   375
      Left            =   6600
      TabIndex        =   4
      Top             =   5160
      Width           =   1455
   End
   Begin VB.Label Label2 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Top             =   5160
      Width           =   1815
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Select a starting key, and click Start in the Analysis menu above:"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   4695
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
         Shortcut        =   ^Q
      End
   End
   Begin VB.Menu mnuAnalysis 
      Caption         =   "&Analysis"
      Begin VB.Menu mnuAnalysisStart 
         Caption         =   "&Start"
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuAnalysisStop 
         Caption         =   "St&op"
         Shortcut        =   {F3}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpHelp 
         Caption         =   "&Help"
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Registry Space Profiler 1.0
'Copyright 2006 Ryan Thoryk
'http://www.tliquest.net/
'Contact - ryan@tliquest.net

'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Private mNode As Node ' Module-level Node variable.
Private mItem As ListItem ' Module-level ListItem variable.

Private Sub Command1_Click()
mnuAnalysisStart_Click
End Sub

Private Sub Form_Load()

Me.Left = (Screen.Width / 2) - (Me.Width / 2)
Me.Top = (Screen.Height / 2) - (Me.Height / 2)
ListView1.ColumnHeaders.Item(1).Width = ListView1.Width * 0.59
ListView1.ColumnHeaders.Item(2).Width = ListView1.Width * 0.39

Me.Caption = "Registry Space Profiler " & App.Major & "." & App.Minor & " Beta 2"

With TreeView1
    
    Set mNode = .Nodes.Add()
    With mNode
        .Text = "HKEY_CLASSES_ROOT"
        .Tag = &H80000000
        'GetSubKeys .Tag, mNode
    End With

    Set mNode = .Nodes.Add()
    With mNode
        .Text = "HKEY_CURRENT_USER"
        .Tag = &H80000001
        'GetSubKeys .Tag, mNode
    End With

    Set mNode = .Nodes.Add()
    With mNode
        .Text = "HKEY_LOCAL_MACHINE"
        .Tag = &H80000002
        'GetSubKeys .Tag, mNode
    End With

    Set mNode = .Nodes.Add()
    With mNode
        .Text = "HKEY_USERS"
        .Tag = &H80000003
        'GetSubKeys .Tag, mNode
    End With

    'Set mNode = .Nodes.Add()
    'With mNode
    '    .Text = "HKEY_PERFORMANCE_DATA"
    '    .Tag = &H80000004
    '    'GetSubKeys .Tag, mNode
    'End With

    Set mNode = .Nodes.Add()
    With mNode
        .Text = "HKEY_CURRENT_CONFIG"
        .Tag = &H80000005
        'GetSubKeys .Tag, mNode
    End With

    'Set mNode = .Nodes.Add()
    'With mNode
    '    .Text = "HKEY_DYN_DATA"
    '    .Tag = &H80000006
    '    'GetSubKeys .Tag, mNode
    'End With
    
End With

End Sub

Private Sub Form_Resize()
If Me.WindowState <> 1 Then
    If Me.Height < 6630 Then Me.Height = 6630
    If Me.Width < 9885 Then Me.Width = 9885
    TreeView1.Width = (Me.Width / 2) - 247.5
    TreeView1.Height = Me.Height - 2295
    ListView1.Left = (Me.Width / 2) - 22.5
    ListView1.Width = (Me.Width / 2) - 247.5
    ListView1.Height = TreeView1.Height
    Label1.Width = TreeView1.Width
    Label3.Left = ListView1.Left
    Label3.Width = ListView1.Width
    Label5.Left = (Me.Width / 2) - 4342.5
    Label5.Top = Me.Height - 1470
    Label2.Left = Label5.Left + 1200
    Label2.Top = Label5.Top
    Command1.Left = (Me.Width / 2) - 742.5
    Command1.Top = Label5.Top
    Label4.Left = (Me.Width / 2) + 1657.5
    Label4.Top = Label5.Top
    ListView1.ColumnHeaders.Item(1).Width = ListView1.Width * 0.59
    ListView1.ColumnHeaders.Item(2).Width = ListView1.Width * 0.39
End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
StopIt = True
End
End Sub

Private Sub ListView1_ColumnClick(ByVal ColumnHeader As MSComctlLib.ColumnHeader)
ListView1.SortKey = ColumnHeader.Index - 1
If ListView1.SortOrder = lvwAscending Then ListView1.SortOrder = lvwDescending Else ListView1.SortOrder = lvwAscending
ListView1.Sorted = True
End Sub

Private Sub mnuAnalysisStart_Click()
ListView1.Sorted = False
ListView1.ListItems.Clear
TotalSize = 0
TotalKeySize = 0
StopIt = False
TmpKey = ""
TmpRoot = TreeView1.SelectedItem.Tag
Call EnumRegKeys(TmpRoot, "")
StatusBar1.SimpleText = ""
End Sub

Private Sub mnuAnalysisStop_Click()
StopIt = True
End Sub

Private Sub mnuFileExit_Click()
Unload Me
End Sub

Private Sub mnuHelpAbout_Click()
frmAbout.Show
End Sub

Private Sub mnuHelpHelp_Click()
frmHelp.Show
End Sub

Private Sub Timer1_Timer()
frmMain.Label4.Caption = TotalSize
End Sub

Private Sub TreeView1_Click()
Label2.Caption = TreeView1.SelectedItem.Tag
End Sub

Private Sub TreeView1_DblClick()
Dim i As Long
With TreeView1.SelectedItem
If .Children = 0 Then
    GetSubKeys .Tag, TreeView1.SelectedItem
    .Expanded = True
End If
End With
End Sub

